Left 4 Dead 2 > Discussões gerais > Detalhes do tópico
Abyssus 2/jul/2013 às 15:41
Failed to create OpenGL device!
Hi,after the last patch i have L4D2 out of beta,when i try to lauch i received an error
"Failed to create OpenGL device!"
I have an ATI 4730 HD and with the beta i dont have any problem,sorry for my english,hope valve resolve this problem
Exibindo comentários 115 de 36
< >
King of the Wicker People 2/jul/2013 às 17:42 
Same problem here, I ran the beta L4D2 yesterday and it worked just fine.
Abyssus 3/jul/2013 às 2:44 
Now i have 2 beta of L4D2
L4D2 (beta) "This is the stable version that change"
L4D2 beta
I try to launch the (beta) but same error again
jonasan [#!] 4/jul/2013 às 11:21 
same error here - old Beta works fine - as well as all other source games i have - but (Beta) fails to load and give the "Failed to create OpenGL device!" error. Strange huh?!

I've logged the error on steam support and waiting for reply. For sure Valve will have this fixed up soon - then we can all join the masses on the L4D2 servers!
Ernesto 4/jul/2013 às 15:36 
Another here. LFD2 do not work, i use Ubuntu 12.04, ATI Radeon HD5670
King of the Wicker People 4/jul/2013 às 19:07 
Just to push the issue, I can confirm what someone else reported -- that other Source games still work just fine, and the old beta still works fine. It is ONLY the new (Beta) L4D2 game that gives me this "Failed to create OpenGL device!" issue.

Hopefully we'll get a fix soon.
Última edição por King of the Wicker People; 4/jul/2013 às 19:07
Mr. PunKMaN 4/jul/2013 às 19:28 
Same here ati 4250 hd
jonasan [#!] 5/jul/2013 às 2:13 
bumping this in case it speeds up the fix!
anyone else who has this problem please post...
wonder how many people are installing the new 'finished' linux version of l4d2 on the free promotional weekend and finding this problem.... hopefully not too many... really want this to be a success for valve and the future of gaming on linux.
Jek Nkik the Jawa 5/jul/2013 às 8:46 
Same problem here, the old beta worked fine as well. ATI Mobility Radeon HD 4650 Graphics Card running the AMD Drivers. Ubuntu 12.04.02 if it matters.
Última edição por Jek Nkik the Jawa; 5/jul/2013 às 10:59
Richie442 5/jul/2013 às 9:08 
Same here. AMD ATI HD 3600
The Paradox 5/jul/2013 às 9:53 
same here. AMD ATI Mobility HD 4270
Ernesto 5/jul/2013 às 10:39 
bump!
jonasan [#!] 5/jul/2013 às 11:24 
i wonder what could be causing this - its got to be something relatively simple i'm guessing - and it seems to be affecting plenty of people - come on valve stick someone on this bug!!
Cheers :)
yashax 5/jul/2013 às 12:54 
Same here. ATI Radeon HD 4850.
King of the Wicker People 5/jul/2013 às 13:02 
Escrito originalmente por jonasan:
i wonder what could be causing this - its got to be something relatively simple i'm guessing - and it seems to be affecting plenty of people
Most of us seem to be fglrx-legacy users (most reports say that we're using HD4xxx and below). My guess from the start was yet another fglrx-legacy incompatibility like the one that TF2 for Linux shipped with originally and AMD had to bring out a new version of the legacy drivers to fix.

Is anyone that's using the latest non-legacy drivers (you have an HD5xxx card or above) getting this EXACT error? I see one person with a 5670 above that just says "does not work", but I wonder if this is just another issue or the same one?

If legacy is the issue, we might be stuck waiting for an AMD fix, sadly... which stinks because the actual beta (not release-beta) didn't and still doesn't need it.
Última edição por King of the Wicker People; 5/jul/2013 às 13:04
jonasan [#!] 5/jul/2013 às 14:37 
well mitterco if that turns out to be true that will be a terrible shame... and given that the original beta was and is still working fine its just very strange...

what could have changed at the last minute when they took the beta version and made it into the full game? its a little baffling?

just reading another thread which stated 31400 people playing l4d right now.... old beta was always around 30 - 60 people - imagine it will be less tonight when i play.... what a shame not to be involved....

your spot on about the legacy driver thing and it would definately be good to get clarity from Ernesto and anyone else that might be experiencing this same error ("Failed to create OpenGl Device!") who is not using the legacy driver from AMD. Would certainly make me more hopeful that valve might fix this if it was not purely a legacy issue.... can anyone confirm?
Exibindo comentários 115 de 36
< >
Por página: 15 30 50
Publicado em: 2/jul/2013 às 15:41
Mensagens: 36